Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.cv
Class NumArrivalsCV

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.cv.NumArrivalsCV

All Implemented Interfaces:
  ControlVariable

    public class NumArrivalsCV

extends Object
implements ControlVariable

Represents the control variable A, which is the number of arrivals of inbound contacts. When applied to a performance measure concerning inbound contact type k during period p, the used CV is the number of arrived contacts of type k during period p. For outbound contact types, the total number of arrived inbound contacts is used.

Constructor Summary
`NumArrivalsCV()`

Method Summary
`boolean` | `appliesTo(PerformanceMeasureType pm)` Determines if this control variable can be applied to the type `pm` of performance measure.
`boolean` | `appliesTo(SimLogic sim, PerformanceMeasureType pm, int row, int col)` Tests if the control variable can be applied to the performance measure of type `pm` at row `row` and column `column` when using the simulation logic `sim`.
`double` | `getBusynessFactor()`
`double[]` | `getBusynessFactors()`
`static DoubleMatrix2D` | `getExpArrivals(SimLogic sim, boolean norm)`
`double` | `getExpectation(SimLogic sim, PerformanceMeasureType pm, int row, int col)`
`double` | `getNonCenteredObs(SimLogic sim, CallCenterStatProbes inStat, PerformanceMeasureType pm, int row, int col, int index)`
`double` | `getObs(SimLogic sim, CallCenterStatProbes inStat, PerformanceMeasureType pm, int row, int col, int index)` Returns the centered observation with index `index` of the control variable used for the type of performance measure `pm` at row `row` and column `col`.
`void` | `init(SimLogic sim)` Initializes any data structure used by this control variable.
`int` | `numberObs(SimLogic sim, CallCenterStatProbes inStat, PerformanceMeasureType pm, int row, int col)` Returns the number of observations for the control variable used for the performance measure of type `pm`, at row `row` and column `col`.
`void` | `setBusynessFactor(double b)`
`void` | `setBusynessFactors(double[] bs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumArrivalsCV

    public NumArrivalsCV()

Method Detail

### appliesTo

    public boolean appliesTo(PerformanceMeasureType pm)

  Description copied from interface: `ControlVariable`
  Determines if this control variable can be applied to the type `pm` of performance measure.

  Specified by:
    `appliesTo` in interface `ControlVariable`
  Parameters:
    `pm` - the type of performance measure.
  Returns:
    `true` if the control variable can be applied, `false` otherwise.

### appliesTo

    public boolean appliesTo(SimLogic sim,
                             PerformanceMeasureType pm,
                             int row,
                             int col)

  Description copied from interface: `ControlVariable`
  Tests if the control variable can be applied to the performance measure of type `pm` at row `row` and column `column` when using the simulation logic `sim`.

  Specified by:
    `appliesTo` in interface `ControlVariable`
  Parameters:
    `sim` - the simulation logic.
    `pm` - the type of performance measure.
    `row` - the row index.
    `col` - the column index.
  Returns:
    the result of the test.

### numberObs

    public int numberObs(SimLogic sim,
                         CallCenterStatProbes inStat,
                         PerformanceMeasureType pm,
                         int row,
                         int col)

  Description copied from interface: `ControlVariable`
  Returns the number of observations for the control variable used for the performance measure of type `pm`, at row `row` and column `col`. If no control variable of the type represented by this implementation is used with the specified performance measure, this returns 0.

  Specified by:
    `numberObs` in interface `ControlVariable`
  Parameters:
    `sim` - the simulation logic.
    `inStat` - the call center statistics.
    `pm` - the type of performance measure.
    `row` - the row index.
    `col` - the column index.
  Returns:
    the number of observations of the control variable.

### getObs

    public double getObs(SimLogic sim,
                         CallCenterStatProbes inStat,
                         PerformanceMeasureType pm,
                         int row,
                         int col,
                         int index)

  Description copied from interface: `ControlVariable`
  Returns the centered observation with index `index` of the control variable used for the type of performance measure `pm` at row `row` and column `col`.

  Specified by:
    `getObs` in interface `ControlVariable`
  Parameters:
    `sim` - the simulation logic.
    `inStat` - the call center statistics.
    `pm` - the type of performance measure.
    `row` - the row index.
    `col` - the column index.
    `index` - the index of the observation.
  Returns:
    the observation.

### getNonCenteredObs

    public double getNonCenteredObs(SimLogic sim,
                                    CallCenterStatProbes inStat,
                                    PerformanceMeasureType pm,
                                    int row,
                                    int col,
                                    int index)

### getExpectation

    public double getExpectation(SimLogic sim,
                                 PerformanceMeasureType pm,
                                 int row,
                                 int col)

### getBusynessFactors

    public double[] getBusynessFactors()

### setBusynessFactors

    public void setBusynessFactors(double[] bs)

### getBusynessFactor

    public double getBusynessFactor()

### setBusynessFactor

    public void setBusynessFactor(double b)

### getExpArrivals

    public static DoubleMatrix2D getExpArrivals(SimLogic sim,
                                                boolean norm)

### init

    public void init(SimLogic sim)

  Description copied from interface: `ControlVariable`
  Initializes any data structure used by this control variable.

  Specified by:
    `init` in interface `ControlVariable`
  Parameters:
    `sim` - the simulation logic.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.